package com.chenyang.druid.sql.dialect.oracle.ast;

import com.chenyang.druid.sql.ast.SQLDataTypeImpl;
import com.chenyang.druid.sql.dialect.oracle.visitor.OracleASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class OracleDataTypeIntervalYear extends SQLDataTypeImpl implements OracleSQLObject {
   public OracleDataTypeIntervalYear() {
      this.setName("INTERVAL YEAR");
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((OracleASTVisitor)visitor);
   }

   public void accept0(OracleASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.getArguments());
      }

      visitor.endVisit(this);
   }

   public OracleDataTypeIntervalYear clone() {
      OracleDataTypeIntervalYear x = new OracleDataTypeIntervalYear();
      super.cloneTo(x);
      return x;
   }
}
